Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class UserExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.UserExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class UserExistsException

extends jet.JSException

User Exists Exception

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`UserExistsException(int msgKey)` Constructs a new `UserExistsException` with the specified message, the cause is not initialized.
`UserExistsException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`UserExistsException(int msgKey, java.lang.Throwable cause)` Constructs a new `UserExistsException` with the specified detailed message and cause.
`UserExistsException(java.lang.String msg)` Constructs a new `UserExistsException` with the specified message, the cause is not initialized.
`UserExistsException(java.lang.Throwable cause)` Constructs a new `UserExistsException` with the specified cause and a `null`message.``

Method Summary

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserExistsException

    public UserExistsException(int msgKey,
                               java.lang.Object[] params,
                               java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### UserExistsException

    public UserExistsException(int msgKey,
                               java.lang.Throwable cause)

  Constructs a new `UserExistsException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### UserExistsException

    public UserExistsException(int msgKey)

  Constructs a new `UserExistsException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### UserExistsException

    public UserExistsException(java.lang.String msg)

  Constructs a new `UserExistsException` with the specified message, the cause is not initialized.

  Parameters:
    `msg` - the detailed message.

### UserExistsException

    public UserExistsException(java.lang.Throwable cause)

  Constructs a new `UserExistsException` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD